java 1.7 kurulum sorunu


(yusuf) #1

e imza için kurulması gereken java 7 de hata alıyorum . var olan java 1.8 i kaldıramıyorum da
sudo apt-get purge openjdk-\* icedtea-\* icedtea6-\* bununla kaldırılacagını söyleniyor ama olmuyor yardımcı olursanız sevinirim.


Pardus 17 Java7 ve İmzager kurulumu
(Cüneyt Ulusoy) #2

Linkteki adımları deneyerek aldığınız hataları belirtiniz. Sağlıklı ve detaylı bilgi verirseniz çözüm daha hızlı olur. Söylenenlerin linkinide mesajınıza ekleyiniz. Kaldırma işleminde neler kalktı neler kaldı sisteminizde bilmiyoruz. Kaldırdıklarınızı yükleyerek linkteki işlemleri gerçekleştiriniz.


(yusuf) #3

java version “9.0.4”

şuan sistemde kurulu olan versiyon bunu kaldırıp java7 diyi kurmak istiyorum e imza için gerekli bu sürümdü karşılamıyor .

sudo apt-get install java-package
make-jpkg jre-7u80-linux-x64.tar.gz
sudo dpkg -i oracle-java7-jre_7u80_amd64.deb
sudo update-alternatives --config java   

bu yolları takip etti olmadı
ilk önce kaldırmayı denedim javayı

sudo apt-get autoremove openjdk*

yinede olmadı yardımcı olursam sevinirim


(Fatih Aşlamacı) #4

java cross platformdur, bir uygulamın java versiyonu diretmesi javanın ruhuna aykırı. üst versiyon ile derlenen alt versiyonda çalışmayabilir bunu anlarım. ama alt versiyonda derleyip üst versiyonda çalışmıyorsa bu cross platform değil. tam bir rezalet